/*  DDecon - Distributed Deconvolution Plugin for ImageJ
    Copyright (C) 2007  Ryan Littlefield

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

import java.awt.geom.Point2D;

import ij.gui.Line;

public class LineRegion {

	public Line line;
	public Point2D.Double[] linePts = new Point2D.Double[2];
	public double skewAngle = 0;
	public int[] regWidths = new int[LSprocessor.numReg];
	public int[] regModes = new int[LSprocessor.numReg];
	public int bgCorrIndex;
	
	public LineRegion (Line line) {
		this.line = line;
		linePts[0] = new Point2D.Double(line.x1d,line.y1d);
		linePts[1] = new Point2D.Double(line.x2d,line.y2d);
		for (int i=0; i<LSprocessor.numReg; i++) {
			regWidths[i] = 0;
			regModes[i] = 0;
		}
	}
	
	public LineRegion (Point2D.Double[] pts) {
		line = null;
		linePts = pts;
		for (int i=0; i<LSprocessor.numReg; i++) {
			regWidths[i] = 0;
			regModes[i] = 0;
		}
	}
}
